# getblockhash

This RPC Method returns the hash of the tip block in the most-work fully-validated chain.

## POST /v2/rpc/bitcoin/getblockhash

> JSON RPC - getblockhash

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v2/rpc/bitcoin/getblockhash":{"post":{"tags":["Bitcoin RPC"],"description":"JSON RPC - getblockhash","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"method":{"type":"string","enum":["getblockhash"]},"params":{"type":"array","items":{}}},"required":["method"]}}},"required":true},"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"result":{},"error":{},"id":{}}}}}}}}}}}
```
